# Class CIM_DatabaseStorageArea
extends CIM_FileSystem

Databases as modeled by instances of the CommonDatabase class are comprised of a collection of logical storage areas that are represented by instances of the DatabaseStorageArea class. Database storage areas allow the administrator to logically organize the content of the database. This class extends from FileSystem and uses the inherited associations to represent the internal structure of the database.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_FileSystem
|
+--CIM_DatabaseStorageArea

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Databases as modeled by instances of the CommonDatabase class are comprised of a collection of logical storage areas that are represented by instances of the DatabaseStorageArea class. Database storage areas allow the administrator to logically organize the content of the database. This class extends from FileSystem and uses the inherited associations to represent the internal structure of the database.

UMLPackagePath | string | CIM::Database::Storage
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsSystemArea | boolean |
Description | string | A Boolean value that indicates the ownership of this StorageArea. A value of true indicates that this StorageArea is owned by the DatabaseSystem and contains system information. A value of false indicates that this is a user StorageArea that contains data.
LastBackup | datetime |
Description | string | A timestamp that represents the date and time of the last successful backup of the DatabaseStorageArea. This property should be set to a value of 0, in interval format (00000000000000.000000:000), if it is not known whether a backup has ever been completed.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AvailableSpace | uint64 | CIM_FileSystem
BlockSize | uint64 | CIM_FileSystem
Caption | string | CIM_ManagedElement
CasePreserved | boolean | CIM_FileSystem
CaseSensitive | boolean | CIM_FileSystem
ClusterSize | uint32 | CIM_FileSystem
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CompressionMethod | string | CIM_FileSystem
CreationClassName | string | CIM_FileSystem
CSCreationClassName | string | CIM_FileSystem
CSName | string | CIM_FileSystem
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
EncryptionMethod | string | CIM_FileSystem
FileSystemSize | uint64 | CIM_FileSystem
FileSystemType | string | CIM_FileSystem
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
MaxFileNameLength | uint32 | CIM_FileSystem
Name | string | CIM_FileSystem
NumberOfFiles | uint64 | CIM_FileSystem
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherPersistenceType | string | CIM_FileSystem
PersistenceType | uint16 | CIM_FileSystem
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ReadOnly | boolean | CIM_FileSystem
RequestedState | uint16 | CIM_EnabledLogicalElement
Root | string | CIM_FileSystem
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
CodeSet | uint16[] | CIM_FileSystem
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement